<div class="container">
  <div class="row card">
    <div class="card-header"><i class="icon-map"></i>Payment List</div>

    <div class="col-xs-12 col-sm-12 col-md-12 card-body">
      <form
        [formGroup]="filterForm"
        (ngSubmit)="onSubmit()"
        class="form-inline"
        role="form"
      >
        <label for="fromDate" class="mb-2 mr-sm-2">From Date:</label>
        <input
          type="text"
          class="form-control mb-2 mr-sm-2"
          formControlName="fromDate"
          placeholder="Select From Date"
          (ngModelChange)="changeToDate()"
          readonly="readonly"
          #dpYMD="bsDatepicker"
          bsDatepicker
          [bsConfig]="{
            dateInputFormat: 'YYYY-MM-DD',
            containerClass: 'theme-blue'
          }"
          [maxDate]="maxDate"
        />
        <label for="toDate" class="mb-2 mr-sm-2">To Date:</label>
        <input
          type="text"
          class="form-control mb-2 mr-sm-2"
          formControlName="toDate"
          placeholder="Select From Date First"
          readonly="readonly"
          bsDatepicker
          [bsConfig]="{
            dateInputFormat: 'YYYY-MM-DD',
            containerClass: 'theme-blue'
          }"
          [maxDate]="maxDate"
          [minDate]="minDate"
        />
        <button type="submit" class="btn btn-primary mb-2">Search</button>
      </form>
    </div>

    <div class="col-xs-12 col-sm-12 col-md-12 card-body">
      <table
        datatable
        [dtOptions]="dtOptions"
        [dtTrigger]="dtTrigger"
        class="table table-striped table-bordered row-border hover"
      >
        <thead>
          <tr>
            <th *ngFor="let header of tableHeaders">{{ header }}</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let account of accountlistInfo">
            <td>{{ account.lspId }}</td>
            <td>{{ account.driverId }}</td>
            <td>{{ account.amount }}</td>
            <td>{{ account.salesPerson }}</td>
            <td>{{ account.fromDate | date: 'mediumDate' }}</td>
            <td>{{ account.toDate | date: 'mediumDate' }}</td>
            <td>{{ account.toDate | date: 'medium' }}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
